FullWrtStruct::Border Struct Reference

Internal: class to store a border which appear in docInfo. More...

`#include <FullWrtStruct.hxx>`

## Public Member Functions

| Border ()
| constructor
void | addTo (MWAWGraphicStyle &style) const
| add to frame properties
bool | hasShadow () const
| return true if we have a shadow
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone, int fSz)
| try to read a border definiton
std::vector< MWAWVariable< MWAWBorder > > | getParagraphBorders () const
| returns the list of border order MWAWBorder::Pos

## Static Public Member Functions

static MWAWBorder | getBorder (int type)
| return a border corresponding to a type

## Public Attributes

int | m_type [3]
| the type (border, horizontal and vertical separators)
MWAWBorder | m_frameBorder
| the frame border
MWAWColor | m_frontColor
| the front color (used for layout )
MWAWColor | m_backColor
| the back color (used for layout )
MWAWColor | m_shadowColor
| the shadow color
MWAWVec2i | m_shadowDepl
| the shadow depl ( if shadow)
MWAWColor | m_color [2]
| the colors line + ?
int | m_flags
| the flags
std::string | m_extra
| some extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Border const &p)
| operator<<

## Detailed Description

Internal: class to store a border which appear in docInfo.

## Constructor & Destructor Documentation

## Border()

FullWrtStruct::Border::Border | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## addTo()

void FullWrtStruct::Border::addTo | ( | MWAWGraphicStyle & | style | ) | const

add to frame properties

Referenced by FullWrtGraph::sendSideBar().

## getBorder()

MWAWBorder FullWrtStruct::Border::getBorder | ( | int | type | ) |

static

return a border corresponding to a type

Referenced by getParagraphBorders(), and FullWrtText::sendTable().

## getParagraphBorders()

std::vector< MWAWVariable< MWAWBorder > > FullWrtStruct::Border::getParagraphBorders | ( |  | ) | const

returns the list of border order MWAWBorder::Pos

## hasShadow()

bool FullWrtStruct::Border::hasShadow | ( |  | ) | const

inline

return true if we have a shadow

Referenced by addTo(), and operator<<.

## read()

bool FullWrtStruct::Border::read | ( | std::shared_ptr< FullWrtStruct::Entry > | zone,
|  | int | fSz )

try to read a border definiton

Referenced by FullWrtGraph::readBorderDocInfo().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Border const & | p )

friend

operator<<

## Member Data Documentation

## m_backColor

MWAWColor FullWrtStruct::Border::m_backColor

the back color (used for layout )

Referenced by addTo(), Border(), operator<<, and read().

## m_color

MWAWColor FullWrtStruct::Border::m_color[2]

the colors line + ?

Referenced by addTo(), getParagraphBorders(), operator<<, read(), and FullWrtText::sendTable().

## m_extra

std::string FullWrtStruct::Border::m_extra

some extra data

Referenced by Border(), operator<<, and read().

## m_flags

int FullWrtStruct::Border::m_flags

the flags

Referenced by Border(), operator<<, and read().

## m_frameBorder

MWAWBorder FullWrtStruct::Border::m_frameBorder

the frame border

Referenced by addTo(), Border(), operator<<, and read().

## m_frontColor

MWAWColor FullWrtStruct::Border::m_frontColor

the front color (used for layout )

Referenced by Border(), operator<<, read(), and FullWrtGraph::sendSideBar().

## m_shadowColor

MWAWColor FullWrtStruct::Border::m_shadowColor

the shadow color

Referenced by addTo(), Border(), operator<<, and read().

## m_shadowDepl

MWAWVec2i FullWrtStruct::Border::m_shadowDepl

the shadow depl ( if shadow)

Referenced by addTo(), Border(), hasShadow(), operator<<, and read().

## m_type

int FullWrtStruct::Border::m_type[3]

the type (border, horizontal and vertical separators)

Referenced by Border(), getParagraphBorders(), operator<<, read(), and FullWrtText::sendTable().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx